package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/8 19:07
 */


@FeignClient(value = "dil-tms-truck-dev",url = "localhost:8088")
public interface TmsTruckFeign {

    @PostMapping("api/v1/truckTms/tmstruckenfactoryresults/updateEnactoryResult")
    public RESTfulResult updateEnactoryResult(@RequestBody(required = false) Map<String, Object> mapValue);

}
